#include <iostream>
using namespace std;
int main()
{
    int A,B,C,D,E,kashoni=0;
    cin>>A>>B>>C>>D>>E;
    if(1<=A && A<=B && B<=C && C<=D && D<=E && E<=1000){
        if(A*A+B*B+C*C+D*D<=E*E){
            kashoni++;
        }
        if(A*A+B*B+C*C+D*D>=E*E){
            kashoni=kashoni+((A*A+B*B+C*C+D*D)/(E*E));
        }
        cout<<kashoni;
        //if(((A*A+B*B+C*C+D*D)%(E*E))!=0){
          //  kashoni+=(((A*A+B*B+C*C+D*D)/(E*E))+1);
           // cout<<(((A*A+B*B+C*C+D*D)/(E*E))+1);
        //}
    }

    return 0;
}
